| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Fields
usbhid_dev Struct Reference
Library » USB Host Library » USB Host Exported Structures

`#include <usbh_hid.h>`

## Data Fields
uint16_t | idVendor
uint16_t | idProduct
uint8_t | bSubClassCode
uint8_t | bProtocolCode
HID_IR_FUNC * | read_func
HID_IW_FUNC * | write_func
UTR_T * | utr_list [CONFIG_HID_DEV_MAX_PIPE]
UTR_T * | out_utr_list
void * | iface
uint32_t | uid
RPD_T | rpd
struct usbhid_dev * | next

## Detailed Description

HID device structure

Definition at line 264 of file usbh_hid.h.

## Field Documentation

## ◆ bProtocolCode

uint8_t usbhid_dev::bProtocolCode

Interface protocol code

Definition at line 269 of file usbh_hid.h.

## ◆ bSubClassCode

uint8_t usbhid_dev::bSubClassCode

Interface subclass code

Definition at line 268 of file usbh_hid.h.

## ◆ idProduct

uint16_t usbhid_dev::idProduct

USB device product ID. (from device descriptor)

Definition at line 267 of file usbh_hid.h.

## ◆ idVendor

uint16_t usbhid_dev::idVendor

USB device vendor ID. (from device descriptor)

Definition at line 266 of file usbh_hid.h.

## ◆ iface

void* usbhid_dev::iface

This HID interface

Definition at line 274 of file usbh_hid.h.

## ◆ next

struct usbhid_dev* usbhid_dev::next

Point to the next HID device

Definition at line 277 of file usbh_hid.h.

## ◆ out_utr_list

UTR_T* usbhid_dev::out_utr_list

UTR list of INT out endpoints

Definition at line 273 of file usbh_hid.h.

## ◆ read_func

HID_IR_FUNC* usbhid_dev::read_func

Interrupt-in callback function

Definition at line 270 of file usbh_hid.h.

## ◆ rpd

RPD_T usbhid_dev::rpd

Information of Report Descriptor

Definition at line 276 of file usbh_hid.h.

## ◆ uid

uint32_t usbhid_dev::uid

The unique ID to identify a HID device.

Definition at line 275 of file usbh_hid.h.

## ◆ utr_list

UTR_T* usbhid_dev::utr_list[CONFIG_HID_DEV_MAX_PIPE]

UTR list of all INT in and out pipes in running

Definition at line 272 of file usbh_hid.h.

## ◆ write_func

HID_IW_FUNC* usbhid_dev::write_func

Interrupt-out callback function

Definition at line 271 of file usbh_hid.h.

The documentation for this struct was generated from the following file:

- UsbHostLib/inc/usbh_hid.h